﻿using System.Web.UI.WebControls;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.WebControls;

namespace RH.SitecollectionList
{
    class Links : RepeatedControls
    {
        private readonly Table _Table;

        public Links()
        {
            HeaderHtml = "<div>";
            FooterHtml = "</div>";
            SeparatorHtml = string.Empty;

            _Table = new Table {CssClass = "ms-itemstatic", CellSpacing = 0};
            _Table.Style.Add("padding", "3px 0px 3px 4px");
            Controls.Add(_Table);
        }

        public void AddHyperLink(string text, string toolTip, string url, string imageUrl)
        {
            var row = new TableRow {Height = Unit.Pixel(16)};
            row.Attributes.Add("title", SPHttpUtility.HtmlEncode(toolTip));
            row.Attributes.Add("onmouseover", "this.className='ms-itemhover';MMU_PopMenuIfShowing(this);");
            row.Attributes.Add("onmouseout", "this.className='ms-itemstatic';");
            row.Attributes.Add("onclick", "window.navigate('" + url + "');");

            var imageCell = new TableCell();
            imageCell.HorizontalAlign = HorizontalAlign.Center;
            imageCell.Style.Add("padding-top", "1px");
            var image = new Image
                            {
                                AlternateText = string.Empty,
                                ImageUrl = (!string.IsNullOrEmpty(imageUrl) ? imageUrl : "/_layouts/images/setrect.gif")
                            };
            imageCell.Controls.Add(image);
            row.Cells.Add(imageCell);

            var linkCell = new TableCell
                               {
                                   VerticalAlign = VerticalAlign.Top,
                                   Width = Unit.Percentage(100),
                                   CssClass = "ms-descriptiontext"
                               };
            linkCell.Style.Add("padding-left", "3px");
            var link = new Label {Text = SPHttpUtility.HtmlEncode(text)};
            linkCell.Controls.Add(link);
            row.Cells.Add(linkCell);

            _Table.Controls.Add(row);
        }
    }
}